Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ossl_rand.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Functions
void | Init_ossl_rand (void)

## Variables
VALUE | mRandom
VALUE | eRandomError

## Function Documentation

## ◆ Init_ossl_rand()

void Init_ossl_rand | ( | void |  | ) |

Definition at line 206 of file ossl_rand.c.

References eOSSLError, eRandomError, mOSSL, mRandom, rb_define_class_under(), rb_define_module(), rb_define_module_function(), rb_define_module_under(), and rb_eStandardError.

## Variable Documentation

## ◆ eRandomError

VALUE eRandomError

Definition at line 13 of file ossl_rand.c.

Referenced by Init_ossl_rand().

## ◆ mRandom

VALUE mRandom

Definition at line 12 of file ossl_rand.c.

Referenced by Init_ossl_rand().